use leptos::*;

#[component]
pub fn Tag(
    #[prop[optional]]
    url: String,
    children: Children
) -> impl IntoView {
    view! {
        <a class="rounded-lg px-3 py-1 font-normal text-sm bg-primary dark:bg-dark_primary text-on_primary dark:text-dark_on_primary" href=url target="_blank">
            {children()}
        </a>
    }
}